%define realname qwt
%define major 5

Name: libqwt5
Version: 5.2.2
Release: %mkrel 1
Summary: 2D plotting widget extension to the Qt GUI
License: Qwt License 1.0
Group: System/Libraries
Url: http://sourceforge.net/projects/qwt
Source: http://freefr.dl.sourceforge.net/sourceforge/qwt/%realname-%version.tar.xz
Patch0: qwt-5.2.2-qwtconfig-installbase.patch
BuildRequires: qt4-devel

%description
Qwt is an extension to the Qt GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientifical purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

#------------------------------------------------------------------------------
%define libname %mklibname qwt %{major}

%if %_lib != lib
%package -n %libname 
Summary: 2D plotting widget extension to the Qt GUI
Group: System/Libraries

%description -n %libname
Qwt is an extension to the Qt GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientifical purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

This package provides the runtime library.
%endif

%files -n %libname
%doc CHANGES COPYING README
%{_libdir}/libqwt.so.%{major}*

#------------------------------------------------------------------------------

%define libnamedev %mklibname qwt5 -d

%package -n %libnamedev
Summary: Development tools for programs which uses Qwt Widget set
Group: System/Libraries
Requires: %libname = %version
Provides: libqwt5-devel = %version-%release
Provides: qwt5-devel =  %{version}-%{release}
Conflicts: libqwt-devel >= 6.0.1

%description -n %libnamedev
The libqwt-devel package contains the header files and static libraries
necessary for developing programs using the Qwt Widget set

If you want to develop programs which will use this set of widgets,
you should install this package. You need also to install the libqwt package.

%files -n %libnamedev
%doc COPYING 
%doc examples
%{_datadir}/doc
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/*

#------------------------------------------------------------------------------

%prep
%setup -q -n %realname-%version
%apply_patches


%build
%qmake_qt4 CONFIG+=QwtSVGItem CONFIG+=install-qt
%make

%install
rm -rf %buildroot
make install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_mandir}/man3/
install doc/man/man3/* %{buildroot}%{_mandir}/man3/

rm -f %{buildroot}/%{_libdir}/qt4/plugins/designer/libqwt_designer_plugin.so

%clean
rm -rf %buildroot

%changelog
* Wed Oct 29 2014 bb <bb> 5.2.2-1pclos2014
- needed to build ruby-qt4

* Fri Sep 09 2011 Texstar <texstar at gmail.com> 5.2.1-1pclos2011
- 5.2.1